Bug 1022291 - No obsoletes for texlive-texdiff-bin
No obsoletes for texlive-texdiff-bin
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 21:46 EDT by Mamoru TASAKA
Modified: 2015-02-17 12:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:47:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2013-10-22 21:46:01 EDT
Description of problem:
It seems that with this commit:

http://pkgs.fedoraproject.org/cgit/texlive.git/commit/?h=f19&id=9d1cb4b51f887f119f9fe40442efb2117168dd5e

the subpackage -texdiff-bin was removed, however no proper
obsoletes for that. As a result, when -texdiff-bin was already
installed previously, texlive cannot be upgraded with updates-testing
repo installed.

Version-Release number of selected component (if applicable):
texlive-2013-2.20131019_r31948.fc19

How reproducible:
100%

Steps to Reproduce:
1. Just to upgrade texlive
2.
3.

Actual results:
Error: Package: 3:texlive-texdiff-bin-svn15506.0-1.20131014_r31898.fc19.noarch (@updates-testing)
           Requires: texlive-kpathsea-lib = 3:2013-1.20131014_r31898.fc19
           Removing: 3:texlive-kpathsea-lib-2013-1.20131014_r31898.fc19.i686 (@updates-testing)
               texlive-kpathsea-lib = 3:2013-1.20131014_r31898.fc19
           Updated By: 3:texlive-kpathsea-lib-2013-2.20131019_r31948.fc19.i686 (updates-testing)
               texlive-kpathsea-lib = 3:2013-2.20131019_r31948.fc19
           Available: 2:texlive-kpathsea-lib-2012-22.20130427_r30134.fc19.i686 (fedora)
               texlive-kpathsea-lib = 2:2012-22.20130427_r30134.fc19
           Available: 3:texlive-kpathsea-lib-2013-0.1.20130608_r30832.fc19.i686 (updates)
               texlive-kpathsea-lib = 3:2013-0.1.20130608_r30832.fc19
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Note that even from current f9-updates texlive-2013-0.1.20130608_r30832.fc19
perhaps upgrading will fail (because texlive-2013-0.1.20130608_r30832.fc19
has texlive-texdiff-bin subpackage)

Full log:
http://mtasaka.fedorapeople.org/Bugfix/texlive/yum-upgrade-texlive.log

Expected results:
Upgrading should success.

Additional info:
Comment 1 Xavier Bachelot 2013-10-30 05:16:45 EDT
This happens with a Fedora 19 upgraded to F20 too. Removing texlive-texdiff-bin-svn15506.0-0.5.20130608_r30832.fc20.noarch (which in turn removes texlive-texdiff-svn26313.0.4-22.fc19.noarch) allows to upgrade the remaining of the texlive stack.
Comment 2 Fedora Update System 2013-10-31 14:23:29 EDT
texlive-2013-3.20131021_r31961.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-19153/texlive-2013-3.20131021_r31961.fc20
Comment 3 Fedora Update System 2013-11-01 16:26:46 EDT
Package texlive-2013-3.20131021_r31961.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-3.20131021_r31961.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19153/texlive-2013-3.20131021_r31961.fc20
then log in and leave karma (feedback).
Comment 4 Mamoru TASAKA 2013-11-04 22:54:00 EST
This report is against F-19, not F-20.
Comment 5 Fedora Update System 2013-11-10 03:03:13 EST
texlive-2013-3.20131021_r31961.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Mamoru TASAKA 2013-11-10 04:15:16 EST
Reopening, this is against F-19.
Comment 7 Fedora End Of Life 2015-01-09 15:20:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 12:47:11 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.